ChangeSet 1.1504.2.39, 2003/12/11 17:07:51-08:00, berentsen@sent5.uni-duisburg.de

[PATCH] USB storage: Minolta Dimage S414 usb patch

here I submitt you the vendor/id patch for the
Minolta Dimage S414 Camera,
which runs fine with the usb under linux.

cat /proc/bus/usb/device ->


 drivers/usb/storage/unusual_devs.h |    7 +++++++
 1 files changed, 7 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Mon Dec 29 14:22:39 2003
+++ b/drivers/usb/storage/unusual_devs.h	Mon Dec 29 14:22:39 2003
@@ -45,6 +45,13 @@
  *
  */
 
+/* Patch submitted by Martin Berentsen <berentsen at sent5 dot uni-duisburg dot de> */
+#define US_FL_START_STOP  0x00000004   /* ignore START_STOP commands     */
+UNUSUAL_DEV(  0x0686, 0x4014, 0x0001, 0x0001, 
+		"Minolta",
+		"Dimage S414",
+		US_SC_SCSI, US_PR_BULK, NULL, US_FL_START_STOP), 
+
 UNUSUAL_DEV(  0x03ee, 0x0000, 0x0000, 0x0245, 
 		"Mitsumi",
 		"CD-R/RW Drive",
